Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql.db2e.wdbc
Class Db2eMetaData

    java.lang.Object
      |
      +--superwaba.ext.xplat.sql.DatabaseMetaData
            |
            +--superwaba.ext.xplat.sql.db2e.wdbc.Db2eMetaData

public class Db2eMetaData
extends DatabaseMetaData

With this class you can get some information regarding a database

Fields inherited from class superwaba.ext.xplat.sql.DatabaseMetaData
`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

Method Summary
`boolean` | `doesMaxRowSizeIncludeBlobs()` This method tests whether or not the maximum row size includes BLOB's
`ResultSet` | `getCatalogs()` This method returns the list of database catalogs as a `ResultSet` with one column - TABLE_CAT - that is the name of the catalog.
`ResultSet` | `getColumns(String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)` This method returns a list of the tables columns for the requested tables.
`Connection` | `getConnection()` This method returns the `Connection` object that was used to generate the metadata in this object.
`ResultSet` | `getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable)` This method returns a description of how one table imports another table's primary key as a foreign key.
`int` | `getDatabaseMajorVersion()`
`int` | `getDatabaseMinorVersion()`
`String` | `getDatabaseProductName()` This method returns the name of the database product.
`String` | `getDatabaseProductVersion()` This method returns the version of the database product.
`int` | `getDefaultTransactionIsolation()` This method returns the default transaction isolation level of the database.
`int` | `getDriverMajorVersion()` This method returns the major version number of the JDBC driver.
`int` | `getDriverMinorVersion()` This method returns the minor version number of the JDBC driver.
`String` | `getDriverName()` This method returns the name of the JDBC driver.
`String` | `getDriverVersion()` This method returns the version of the JDBC driver.
`ResultSet` | `getExportedKeys(String catalog, String schema, String table)` This method returns a list of the table's which use this table's primary key as a foreign key.
`String` | `getIdentifierQuoteString()` This metohd returns the quote string for SQL identifiers.
`ResultSet` | `getImportedKeys(String catalog, String schema, String table)` This method returns a list of the table's foreign keys.
`ResultSet` | `getIndexInfo(String catalog, String schema, String table, boolean unique, boolean approximate)` This method returns information about a tables indices and statistics.
`int` | `getJDBCMajorVersion()`
`int` | `getJDBCMinorVersion()`
`int` | `getMaxBinaryLiteralLength()` This method returns the number of hex characters allowed in an inline binary literal.
`int` | `getMaxCatalogNameLength()` This method returns the maximum length of a catalog name.
`int` | `getMaxCharLiteralLength()` This method returns the maximum length of a character literal.
`int` | `getMaxColumnNameLength()` This method returns the maximum length of a column name.
`int` | `getMaxColumnsInGroupBy()` This method returns the maximum number of columns in a GROUP BY statement.
`int` | `getMaxColumnsInIndex()` This method returns the maximum number of columns in an index.
`int` | `getMaxColumnsInOrderBy()` This method returns the maximum number of columns in an ORDER BY statement.
`int` | `getMaxColumnsInSelect()` This method returns the maximum number of columns in a SELECT statement.
`int` | `getMaxColumnsInTable()` This method returns the maximum number of columns in a table.
`int` | `getMaxConnections()` This method returns the maximum number of connections this client can have to the database.
`int` | `getMaxCursorNameLength()` This method returns the maximum length of a cursor name.
`int` | `getMaxIndexLength()` This method returns the maximum length of an index.
`int` | `getMaxProcedureNameLength()` This method returns the maximum length of a procedure name.
`int` | `getMaxRowSize()` This method returns the maximum size of a row in bytes.
`int` | `getMaxSchemaNameLength()` This method returns the maximum length of a schema name.
`int` | `getMaxStatementLength()` This method includes the maximum length of a SQL statement.
`int` | `getMaxStatements()` This method returns the maximum number of statements that can be active at any time.
`int` | `getMaxTableNameLength()` This method returns the maximum length of a table name.
`int` | `getMaxTablesInSelect()` This method returns the maximum number of tables that may be referenced in a SELECT statement.
`int` | `getMaxUserNameLength()` This method returns the maximum length of a user name.
`ResultSet` | `getPrimaryKeys(String catalog, String schema, String table)` This method returns a list of a table's primary key columns.
`ResultSet` | `getSchemas()` This method returns the list of database schemas as a `ResultSet`, with one column - TABLE_SCHEM - that is the name of the schema.
`String` | `getSearchStringEscape()` This method returns the string used to escape wildcards in search strings.
`int` | `getSQLStateType()`
`ResultSet` | `getTables(String catalog, String schemaPattern, String tableNamePattern, String[] types)` This method returns a list of the requested table as a `ResultSet` with the following columns: TABLE_CAT - The catalog the table is in, which may be `null`.
`String` | `getURL()` This method returns the URL for this database.
`String` | `getUserName()` This method returns the database username for this connection.
`boolean` | `supportsBatchUpdates()` This method tests whether or not the database supports batch updates.
`boolean` | `supportsMultipleOpenResults()`
`boolean` | `supportsMultipleResultSets()` This method tests whether multiple result sets for a single statement are supported.
`boolean` | `supportsMultipleTransactions()` This method test whether or not multiple transactions may be open at once, as long as they are on different connections.
`boolean` | `supportsNamedParameters()`
`boolean` | `supportsNonNullableColumns()` This method tests whether or not columns can be defined as NOT NULL.
`boolean` | `supportsOpenCursorsAcrossCommit()` This method tests whether or not the database supports cursors remaining open across commits.
`boolean` | `supportsOpenCursorsAcrossRollback()` This method tests whether or not the database supports cursors remaining open across rollbacks.
`boolean` | `supportsOpenStatementsAcrossCommit()` This method tests whether or not the database supports statements remaining open across commits.
`boolean` | `supportsOpenStatementsAcrossRollback()` This method tests whether or not the database supports statements remaining open across rollbacks.
`boolean` | `supportsResultSetConcurrency(int type, int concurrency)` This method tests whether the specified result set type and result set concurrency type are supported by the database.
`boolean` | `supportsResultSetType(int type)` This method tests whether or not the datbase supports the specified result type.
`boolean` | `supportsTransactionIsolationLevel(int level)` This method tests whether or not the database supports the specified transaction isolation level.
`boolean` | `supportsTransactions()` This method tests whether or not the database supports transactions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Method Detail

### getCatalogs

    public ResultSet getCatalogs()
                          throws SQLException

  This method returns the list of database catalogs as a `ResultSet` with one column - TABLE_CAT - that is the name of the catalog.
  Overrides:
    getCatalogs in class DatabaseMetaData
  Returns:
    A `ResultSet` with all the requested catalogs.
  Throws:
    SQLException - If an error occurs.

### getColumns

    public ResultSet getColumns(String catalog,
                                String schemaPattern,
                                String tableNamePattern,
                                String columnNamePattern)
                         throws SQLException

  This method returns a list of the tables columns for the requested tables. This is returned in the form of a `ResultSet` with the following columns:

  1. TABLE_CAT - The catalog the table is in, which may be `null`.
  2. TABLE_SCHEM - The schema the tables is in, which may be `null`.
  3. TABLE_NAME - The name of the table.
  4. COLUMN_NAME - The name of the column
  5. DATA_TYPE - The SQL type of the column. This is one of the constants defined in `Types`.
  6. TYPE_NAME - The string name of the data type for this column.
  7. COLUMN_SIZE - The size of the column.
  8. Unused
  9. NUM_PREC_RADIX - The radix of the column.
  10. NULLABLE - Whether or not the column is NULLABLE. This is one of the constants defined in this class (`tableNoNulls`, `tableNullable`, or `tableNullableUnknown`)
  11. REMARKS - A description of the column.
  12. COLUMN_DEF - The default value for the column, may be `null`.
  13. SQL_DATA_TYPE - Unused
  14. SQL_DATETIME_SUB - Unused
  15. CHAR_OCTET_LENGTH - For character columns, the maximum number of bytes in the column.
  16. ORDINAL_POSITION - The index of the column in the table.
  17. IS_NULLABLE - "NO" means no, "YES" means maybe, and an empty string means unknown.
  Overrides:
    getColumns in class DatabaseMetaData
  Parameters:
    `catalog` - The name of the catalog to return table from, or "" to return tables from all catalogs.
    `schemaPattern` - A schema pattern for the schemas to return tables from, or "" to return tables from all schemas.
    `namePattern` - The pattern of tables names to return.
    `columnPattern` - The pattern of column names to return.
  Throws:
    SQLException - If an error occurs.

### getConnection

    public Connection getConnection()
                             throws SQLException

  This method returns the `Connection` object that was used to generate the metadata in this object.
  Overrides:
    getConnection in class DatabaseMetaData
  Returns:
    The connection for this object.
  Throws:
    SQLException - If an error occurs.

### getCrossReference

    public ResultSet getCrossReference(String primaryCatalog,
                                       String primarySchema,
                                       String primaryTable,
                                       String foreignCatalog,
                                       String foreignSchema,
                                       String foreignTable)
                                throws SQLException

  This method returns a description of how one table imports another table's primary key as a foreign key. The information is returned as a `ResultSet` with the following columns:

  1. PKTABLE_CAT - The catalog of the table the key was imported from.
  2. PKTABLE_SCHEM - The schema of the table the key was imported from.
  3. PKTABLE_NAME - The name of the table the key was imported from.
  4. PKCOLUMN_NAME - The name of the column that was imported.
  5. FKTABLE_CAT - The foreign key catalog name.
  6. FKTABLE_SCHEM - The foreign key schema name.
  7. FKTABLE_NAME - The foreign key table name.
  8. FKCOLUMN_NAME - The foreign key column name.
  9. KEY_SEQ - The sequence number of the column within the foreign key.
  10. UPDATE_RULE - How the foreign key behaves when the primary key is updated. This is one of the constants defined in this class (`importedNoAction`, `importedKeyCascade`, `importedKeySetNull`, `importedKeySetDefault`, or `importedKeyRestrict`).
  11. DELETE_RULE - How the foreign key behaves when the primary key is deleted. This is one of the constants defined in this class (`importedNoAction`, `importedKeyCascade`, `importedKeySetNull`, or `importedKeySetDefault`)
  12. FK_NAME - The name of the foreign key.
  13. PK_NAME - The name of the primary key.
  14. DEFERRABILITY - The deferrability value. This is one of the constants defined in this table (`importedKeyInitiallyDeferred`, `importedKeyInitiallyImmediate`, or `importedKeyNotDeferrable`).
  Overrides:
    getCrossReference in class DatabaseMetaData
  Parameters:
    `primCatalog` - The catalog to retrieve information from, or the empty string to return entities not associated with a catalog, or `null` to return information from all catalogs, on the exporting side.
    `primSchema` - The schema to retrieve information from, or the empty string to return entities not associated with a schema, on the exporting side.
    `primTable` - The table name to return information for, on the exporting side.
    `forCatalog` - The catalog to retrieve information from, or the empty string to return entities not associated with a catalog, or `null` to return information from all catalogs, on the importing side.
    `forSchema` - The schema to retrieve information from, or the empty string to return entities not associated with a schema on the importing side.
    `forTable` - The table name to return information for on the importing side.
  Returns:
    A `ResultSet` with the requested information
  Throws:
    SQLException - If an error occurs.

### getDatabaseMajorVersion

    public int getDatabaseMajorVersion()
                                throws SQLException

  Overrides:
    getDatabaseMajorVersion in class DatabaseMetaData
  Since:
    1.4

### getDatabaseMinorVersion

    public int getDatabaseMinorVersion()
                                throws SQLException

  Overrides:
    getDatabaseMinorVersion in class DatabaseMetaData
  Since:
    1.4

### getDatabaseProductName

    public String getDatabaseProductName()
                                  throws SQLException

  This method returns the name of the database product.
  Overrides:
    getDatabaseProductName in class DatabaseMetaData
  Returns:
    The database product.
  Throws:
    SQLException - If an error occurs.

### getDatabaseProductVersion

    public String getDatabaseProductVersion()
                                     throws SQLException

  This method returns the version of the database product.
  Overrides:
    getDatabaseProductVersion in class DatabaseMetaData
  Returns:
    The version of the database product.
  Throws:
    SQLException - If an error occurs.

### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()
                                       throws SQLException

  This method returns the default transaction isolation level of the database.
  Overrides:
    getDefaultTransactionIsolation in class DatabaseMetaData
  Returns:
    The default transaction isolation level of the database.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `Connection`

### getDriverMajorVersion

    public int getDriverMajorVersion()

  This method returns the major version number of the JDBC driver.
  Overrides:
    getDriverMajorVersion in class DatabaseMetaData
  Returns:
    The major version number of the JDBC driver.

### getDriverMinorVersion

    public int getDriverMinorVersion()

  This method returns the minor version number of the JDBC driver.
  Overrides:
    getDriverMinorVersion in class DatabaseMetaData
  Returns:
    The minor version number of the JDBC driver.

### getDriverName

    public String getDriverName()
                         throws SQLException

  This method returns the name of the JDBC driver.
  Overrides:
    getDriverName in class DatabaseMetaData
  Returns:
    The name of the JDBC driver.
  Throws:
    SQLException - If an error occurs.

### getDriverVersion

    public String getDriverVersion()
                            throws SQLException

  This method returns the version of the JDBC driver.
  Overrides:
    getDriverVersion in class DatabaseMetaData
  Returns:
    The version of the JDBC driver.
  Throws:
    SQLException - If an error occurs.

### getExportedKeys

    public ResultSet getExportedKeys(String catalog,
                                     String schema,
                                     String table)
                              throws SQLException

  This method returns a list of the table's which use this table's primary key as a foreign key. The information is returned as a `ResultSet` with the following columns:

  1. PKTABLE_CAT - The catalog of the table the key was imported from.
  2. PKTABLE_SCHEM - The schema of the table the key was imported from.
  3. PKTABLE_NAME - The name of the table the key was imported from.
  4. PKCOLUMN_NAME - The name of the column that was imported.
  5. FKTABLE_CAT - The foreign key catalog name.
  6. FKTABLE_SCHEM - The foreign key schema name.
  7. FKTABLE_NAME - The foreign key table name.
  8. FKCOLUMN_NAME - The foreign key column name.
  9. KEY_SEQ - The sequence number of the column within the foreign key.
  10. UPDATE_RULE - How the foreign key behaves when the primary key is updated. This is one of the constants defined in this class (`importedNoAction`, `importedKeyCascade`, `importedKeySetNull`, `importedKeySetDefault`, or `importedKeyRestrict`).
  11. DELETE_RULE - How the foreign key behaves when the primary key is deleted. This is one of the constants defined in this class (`importedNoAction`, `importedKeyCascade`, `importedKeySetNull`, or `importedKeySetDefault`)
  12. FK_NAME - The name of the foreign key.
  13. PK_NAME - The name of the primary key.
  14. DEFERRABILITY - The deferrability value. This is one of the constants defined in this table (`importedKeyInitiallyDeferred`, `importedKeyInitiallyImmediate`, or `importedKeyNotDeferrable`).
  Overrides:
    getExportedKeys in class DatabaseMetaData
  Parameters:
    `catalog` - The catalog to retrieve information from, or the empty string to return entities not associated with a catalog, or `null` to return information from all catalogs.
    `schema` - The schema to retrieve information from, or the empty string to return entities not associated with a schema.
    `table` - The table name to return information for.
  Returns:
    A `ResultSet` with the requested information
  Throws:
    SQLException - If an error occurs.

### getIdentifierQuoteString

    public String getIdentifierQuoteString()
                                    throws SQLException

  This metohd returns the quote string for SQL identifiers. Returns a space " " if identifier quoting isn't supported.
  Overrides:
    getIdentifierQuoteString in class DatabaseMetaData
  Returns:
    The quote string for SQL identifers, or a space if quoting is not supported.
  Throws:
    SQLException - If an error occurs.

### getImportedKeys

    public ResultSet getImportedKeys(String catalog,
                                     String schema,
                                     String table)
                              throws SQLException

  This method returns a list of the table's foreign keys. These are returned as a `ResultSet` with the following columns:

  1. PKTABLE_CAT - The catalog of the table the key was imported from.
  2. PKTABLE_SCHEM - The schema of the table the key was imported from.
  3. PKTABLE_NAME - The name of the table the key was imported from.
  4. PKCOLUMN_NAME - The name of the column that was imported.
  5. FKTABLE_CAT - The foreign key catalog name.
  6. FKTABLE_SCHEM - The foreign key schema name.
  7. FKTABLE_NAME - The foreign key table name.
  8. FKCOLUMN_NAME - The foreign key column name.
  9. KEY_SEQ - The sequence number of the column within the foreign key.
  10. UPDATE_RULE - How the foreign key behaves when the primary key is updated. This is one of the constants defined in this class (`importedNoAction`, `importedKeyCascade`, `importedKeySetNull`, `importedKeySetDefault`, or `importedKeyRestrict`).
  11. DELETE_RULE - How the foreign key behaves when the primary key is deleted. This is one of the constants defined in this class (`importedNoAction`, `importedKeyCascade`, `importedKeySetNull`, or `importedKeySetDefault`)
  12. FK_NAME - The name of the foreign key.
  13. PK_NAME - The name of the primary key.
  14. DEFERRABILITY - The deferrability value. This is one of the constants defined in this table (`importedKeyInitiallyDeferred`, `importedKeyInitiallyImmediate`, or `importedKeyNotDeferrable`).
  Overrides:
    getImportedKeys in class DatabaseMetaData
  Parameters:
    `catalog` - The catalog to retrieve information from, or the empty string to return entities not associated with a catalog, or `null` to return information from all catalogs.
    `schema` - The schema to retrieve information from, or the empty string to return entities not associated with a schema.
    `table` - The table name to return information for.
  Returns:
    A `ResultSet` with the foreign key columns.
  Throws:
    SQLException - If an error occurs.

### getIndexInfo

    public ResultSet getIndexInfo(String catalog,
                                  String schema,
                                  String table,
                                  boolean unique,
                                  boolean approximate)
                           throws SQLException

  This method returns information about a tables indices and statistics. It is returned as a `ResultSet` with the following columns:

  1. TABLE_CAT - The catalog of the table, which may be `null`.
  2. TABLE_SCHEM - The schema of the table, which may be `null`.
  3. TABLE_NAME - The name of the table.
  4. NON_UNIQUE - Are index values non-unique?
  5. INDEX_QUALIFIER The index catalog, which may be `null`
  6. INDEX_NAME - The name of the index.
  7. TYPE - The type of index, which will be one of the constants defined in this interface (`tableIndexStatistic`, `tableIndexClustered`, `tableIndexHashed`, or `tableIndexOther`).
  8. ORDINAL_POSITION - The sequence number of this column in the index. This will be 0 when the index type is `tableIndexStatistic`.
  9. COLUMN_NAME - The name of this column in the index.
  10. ASC_OR_DESC - "A" for an ascending sort sequence, "D" for a descending sort sequence or `null` if a sort sequence is not supported.
  11. CARDINALITY - The number of unique rows in the index, or the number of rows in the table if the index type is `tableIndexStatistic`.
  12. PAGES - The number of pages used for the index, or the number of pages in the table if the index type is `tableIndexStatistic`.
  13. FILTER_CONDITION - The filter condition for this index, which may be `null`.
  Overrides:
    getIndexInfo in class DatabaseMetaData
  Parameters:
    `catalog` - The catalog to retrieve information from, or the empty string to return entities not associated with a catalog, or `null` to return information from all catalogs.
    `schema` - The schema to retrieve information from, or the empty string to return entities not associated with a schema.
    `table` - The table name to return information for.
    `unique` - `true` to return only unique indexes, `false` otherwise.
    `approx` - `true` if data values can be approximations, `false` otherwise.
  Returns:
    A `ResultSet` with the requested index information
  Throws:
    SQLException - If an error occurs.

### getJDBCMajorVersion

    public int getJDBCMajorVersion()
                            throws SQLException

  Overrides:
    getJDBCMajorVersion in class DatabaseMetaData
  Since:
    1.4

### getJDBCMinorVersion

    public int getJDBCMinorVersion()
                            throws SQLException

  Overrides:
    getJDBCMinorVersion in class DatabaseMetaData
  Since:
    1.4

### getMaxBinaryLiteralLength

    public int getMaxBinaryLiteralLength()
                                  throws SQLException

  This method returns the number of hex characters allowed in an inline binary literal.
  Overrides:
    getMaxBinaryLiteralLength in class DatabaseMetaData
  Returns:
    The number of hex characters allowed in a binary literal, 0 meaning either an unknown or unlimited number.
  Throws:
    SQLException - If an error occurs.

### getMaxCatalogNameLength

    public int getMaxCatalogNameLength()
                                throws SQLException

  This method returns the maximum length of a catalog name.
  Overrides:
    getMaxCatalogNameLength in class DatabaseMetaData
  Returns:
    The maximum length of a catalog name.
  Throws:
    SQLException - If an error occurs.

### getMaxCharLiteralLength

    public int getMaxCharLiteralLength()
                                throws SQLException

  This method returns the maximum length of a character literal.
  Overrides:
    getMaxCharLiteralLength in class DatabaseMetaData
  Returns:
    The maximum length of a character literal.
  Throws:
    SQLException - If an error occurs.

### getMaxColumnNameLength

    public int getMaxColumnNameLength()
                               throws SQLException

  This method returns the maximum length of a column name.
  Overrides:
    getMaxColumnNameLength in class DatabaseMetaData
  Returns:
    The maximum length of a column name.
  Throws:
    SQLException - If an error occurs.

### getMaxColumnsInGroupBy

    public int getMaxColumnsInGroupBy()
                               throws SQLException

  This method returns the maximum number of columns in a GROUP BY statement.
  Overrides:
    getMaxColumnsInGroupBy in class DatabaseMetaData
  Returns:
    The maximum number of columns in a GROUP BY statement.
  Throws:
    SQLException - If an error occurs.

### getMaxColumnsInIndex

    public int getMaxColumnsInIndex()
                             throws SQLException

  This method returns the maximum number of columns in an index.
  Overrides:
    getMaxColumnsInIndex in class DatabaseMetaData
  Returns:
    The maximum number of columns in an index.
  Throws:
    SQLException - If an error occurs.

### getMaxColumnsInOrderBy

    public int getMaxColumnsInOrderBy()
                               throws SQLException

  This method returns the maximum number of columns in an ORDER BY statement.
  Overrides:
    getMaxColumnsInOrderBy in class DatabaseMetaData
  Returns:
    The maximum number of columns in an ORDER BY statement.
  Throws:
    SQLException - If an error occurs.

### getMaxColumnsInSelect

    public int getMaxColumnsInSelect()
                              throws SQLException

  This method returns the maximum number of columns in a SELECT statement.
  Overrides:
    getMaxColumnsInSelect in class DatabaseMetaData
  Returns:
    The maximum number of columns in a SELECT statement.
  Throws:
    SQLException - If an error occurs.

### getMaxColumnsInTable

    public int getMaxColumnsInTable()
                             throws SQLException

  This method returns the maximum number of columns in a table.
  Overrides:
    getMaxColumnsInTable in class DatabaseMetaData
  Returns:
    The maximum number of columns in a table.
  Throws:
    SQLException - If an error occurs.

### getMaxConnections

    public int getMaxConnections()
                          throws SQLException

  This method returns the maximum number of connections this client can have to the database.
  Overrides:
    getMaxConnections in class DatabaseMetaData
  Returns:
    The maximum number of database connections.

### getMaxCursorNameLength

    public int getMaxCursorNameLength()
                               throws SQLException

  This method returns the maximum length of a cursor name.
  Overrides:
    getMaxCursorNameLength in class DatabaseMetaData
  Returns:
    The maximum length of a cursor name.
  Throws:
    SQLException - If an error occurs.

### getMaxIndexLength

    public int getMaxIndexLength()
                          throws SQLException

  This method returns the maximum length of an index.
  Overrides:
    getMaxIndexLength in class DatabaseMetaData
  Returns:
    The maximum length of an index.
  Throws:
    SQLException - If an error occurs.

### getMaxProcedureNameLength

    public int getMaxProcedureNameLength()
                                  throws SQLException

  This method returns the maximum length of a procedure name.
  Overrides:
    getMaxProcedureNameLength in class DatabaseMetaData
  Returns:
    The maximum length of a procedure name.
  Throws:
    SQLException - If an error occurs.

### getMaxRowSize

    public int getMaxRowSize()
                      throws SQLException

  This method returns the maximum size of a row in bytes.
  Overrides:
    getMaxRowSize in class DatabaseMetaData
  Returns:
    The maximum size of a row.
  Throws:
    SQLException - If an error occurs.

### getMaxSchemaNameLength

    public int getMaxSchemaNameLength()
                               throws SQLException

  This method returns the maximum length of a schema name.
  Overrides:
    getMaxSchemaNameLength in class DatabaseMetaData
  Returns:
    The maximum length of a schema name.
  Throws:
    SQLException - If an error occurs.

### getMaxStatementLength

    public int getMaxStatementLength()
                              throws SQLException

  This method includes the maximum length of a SQL statement.
  Overrides:
    getMaxStatementLength in class DatabaseMetaData
  Returns:
    The maximum length of a SQL statement.
  Throws:
    SQLException - If an error occurs.

### getMaxStatements

    public int getMaxStatements()
                         throws SQLException

  This method returns the maximum number of statements that can be active at any time.
  Overrides:
    getMaxStatements in class DatabaseMetaData
  Returns:
    The maximum number of statements that can be active at any time.
  Throws:
    SQLException - If an error occurs.

### getMaxTableNameLength

    public int getMaxTableNameLength()
                              throws SQLException

  This method returns the maximum length of a table name.
  Overrides:
    getMaxTableNameLength in class DatabaseMetaData
  Returns:
    The maximum length of a table name.
  Throws:
    SQLException - If an error occurs.

### getMaxTablesInSelect

    public int getMaxTablesInSelect()
                             throws SQLException

  This method returns the maximum number of tables that may be referenced in a SELECT statement.
  Overrides:
    getMaxTablesInSelect in class DatabaseMetaData
  Returns:
    The maximum number of tables allowed in a SELECT statement.
  Throws:
    SQLException - If an error occurs.

### getMaxUserNameLength

    public int getMaxUserNameLength()
                             throws SQLException

  This method returns the maximum length of a user name.
  Overrides:
    getMaxUserNameLength in class DatabaseMetaData
  Returns:
    The maximum length of a user name.
  Throws:
    SQLException - If an error occurs.

### doesMaxRowSizeIncludeBlobs

    public boolean doesMaxRowSizeIncludeBlobs()
                                       throws SQLException

  This method tests whether or not the maximum row size includes BLOB's
  Overrides:
    doesMaxRowSizeIncludeBlobs in class DatabaseMetaData
  Returns:
    `true` if the maximum row size includes BLOB's, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### getPrimaryKeys

    public ResultSet getPrimaryKeys(String catalog,
                                    String schema,
                                    String table)
                             throws SQLException

  This method returns a list of a table's primary key columns. These are returned as a `ResultSet` with the following columns.

  1. TABLE_CAT - The catalog of the table, which may be `null`.
  2. TABLE_SCHEM - The schema of the table, which may be `null`.
  3. TABLE_NAME - The name of the table.
  4. COLUMN_NAME - The name of the column.
  5. KEY_SEQ - The sequence number of the column within the primary key.
  6. PK_NAME - The name of the primary key, which may be `null`.
  Overrides:
    getPrimaryKeys in class DatabaseMetaData
  Parameters:
    `catalog` - The catalog to retrieve information from, or the empty string to return entities not associated with a catalog, or `null` to return information from all catalogs.
    `schema` - The schema to retrieve information from, or the empty string to return entities not associated with a schema.
    `table` - The table name to return information for.
    `columnPattern` - A pattern of column names to return information for.
  Returns:
    A `ResultSet` with the primary key columns.
  Throws:
    SQLException - If an error occurs.

### getSQLStateType

    public int getSQLStateType()
                        throws SQLException

  Overrides:
    getSQLStateType in class DatabaseMetaData
  Since:
    1.4

### getSchemas

    public ResultSet getSchemas()
                         throws SQLException

  This method returns the list of database schemas as a `ResultSet`, with one column - TABLE_SCHEM - that is the name of the schema.
  Overrides:
    getSchemas in class DatabaseMetaData
  Returns:
    A `ResultSet` with all the requested schemas.
  Throws:
    SQLException - If an error occurs.

### getSearchStringEscape

    public String getSearchStringEscape()
                                 throws SQLException

  This method returns the string used to escape wildcards in search strings.
  Overrides:
    getSearchStringEscape in class DatabaseMetaData
  Returns:
    The string used to escape wildcards in search strings.
  Throws:
    SQLException - If an error occurs.

### getTables

    public ResultSet getTables(String catalog,
                               String schemaPattern,
                               String tableNamePattern,
                               String[] types)
                        throws SQLException

  This method returns a list of the requested table as a `ResultSet` with the following columns:

  1. TABLE_CAT - The catalog the table is in, which may be `null`.
  2. TABLE_SCHEM - The schema the table is in, which may be `null`.
  3. TABLE_NAME - The name of the table.
  4. TABLE_TYPE - A string describing the table type. This will be one of the values returned by the `getTableTypes()` method.
  5. REMARKS - Comments about the table.
  Overrides:
    getTables in class DatabaseMetaData
  Parameters:
    `catalog` - The name of the catalog to return tables from, or "" to return tables from all catalogs.
    `schemaPattern` - A schema pattern for the schemas to return tables from, or "" to return tables from all schemas.
    `namePattern` - The pattern of table names to return.
    `types` - The list of table types to include; null returns all types.
  Throws:
    SQLException - If an error occurs.

### getURL

    public String getURL()
                  throws SQLException

  This method returns the URL for this database.
  Overrides:
    getURL in class DatabaseMetaData
  Returns:
    The URL string for this database, or `null` if it is not known.
  Throws:
    SQLException - If an error occurs.

### getUserName

    public String getUserName()
                       throws SQLException

  This method returns the database username for this connection.
  Overrides:
    getUserName in class DatabaseMetaData
  Returns:
    The database username.
  Throws:
    SQLException - If an error occurs.

### supportsBatchUpdates

    public boolean supportsBatchUpdates()
                                 throws SQLException

  This method tests whether or not the database supports batch updates.
  Overrides:
    supportsBatchUpdates in class DatabaseMetaData
  Returns:
    `true` if batch updates are supported, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsMultipleOpenResults

    public boolean supportsMultipleOpenResults()
                                        throws SQLException

  Overrides:
    supportsMultipleOpenResults in class DatabaseMetaData
  Since:
    1.4

### supportsMultipleResultSets

    public boolean supportsMultipleResultSets()
                                       throws SQLException

  This method tests whether multiple result sets for a single statement are supported.
  Overrides:
    supportsMultipleResultSets in class DatabaseMetaData
  Returns:
    `true` if multiple result sets are supported for a single statement, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsMultipleTransactions

    public boolean supportsMultipleTransactions()
                                         throws SQLException

  This method test whether or not multiple transactions may be open at once, as long as they are on different connections.
  Overrides:
    supportsMultipleTransactions in class DatabaseMetaData
  Returns:
    `true` if multiple transactions on different connections are supported, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsNamedParameters

    public boolean supportsNamedParameters()
                                    throws SQLException

  Overrides:
    supportsNamedParameters in class DatabaseMetaData
  Since:
    1.4 NOTE: removed from SW

### supportsNonNullableColumns

    public boolean supportsNonNullableColumns()
                                       throws SQLException

  This method tests whether or not columns can be defined as NOT NULL. A fully JDBC compliant driver always returns `true`.
  Overrides:
    supportsNonNullableColumns in class DatabaseMetaData
  Returns:
    `true` if NOT NULL columns are supported, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsOpenCursorsAcrossCommit

    public boolean supportsOpenCursorsAcrossCommit()
                                            throws SQLException

  This method tests whether or not the database supports cursors remaining open across commits.
  Overrides:
    supportsOpenCursorsAcrossCommit in class DatabaseMetaData
  Returns:
    `true` if cursors can remain open across commits, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsOpenCursorsAcrossRollback

    public boolean supportsOpenCursorsAcrossRollback()
                                              throws SQLException

  This method tests whether or not the database supports cursors remaining open across rollbacks.
  Overrides:
    supportsOpenCursorsAcrossRollback in class DatabaseMetaData
  Returns:
    `true` if cursors can remain open across rollbacks, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsOpenStatementsAcrossCommit

    public boolean supportsOpenStatementsAcrossCommit()
                                               throws SQLException

  This method tests whether or not the database supports statements remaining open across commits.
  Overrides:
    supportsOpenStatementsAcrossCommit in class DatabaseMetaData
  Returns:
    `true` if statements can remain open across commits, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsOpenStatementsAcrossRollback

    public boolean supportsOpenStatementsAcrossRollback()
                                                 throws SQLException

  This method tests whether or not the database supports statements remaining open across rollbacks.
  Overrides:
    supportsOpenStatementsAcrossRollback in class DatabaseMetaData
  Returns:
    `true` if statements can remain open across rollbacks, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsResultSetConcurrency

    public boolean supportsResultSetConcurrency(int type,
                                                int concurrency)
                                         throws SQLException

  This method tests whether the specified result set type and result set concurrency type are supported by the database.
  Overrides:
    supportsResultSetConcurrency in class DatabaseMetaData
  Parameters:
    `type` - The desired result type, which is one of the constants defined in `ResultSet`.
    `concur` - The desired concurrency type, which is one of the constants defined in `ResultSet`.
  Returns:
    `true` if the result set type is supported, `false` otherwise.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `ResultSet`

### supportsResultSetType

    public boolean supportsResultSetType(int type)
                                  throws SQLException

  This method tests whether or not the datbase supports the specified result type.
  Overrides:
    supportsResultSetType in class DatabaseMetaData
  Parameters:
    `type` - The desired result type, which is one of the constants defined in `ResultSet`.
  Returns:
    `true` if the result set type is supported, `false` otherwise.
  Throws:
    SQLException - If an error occurs.
  See Also:
    `ResultSet`

### supportsTransactionIsolationLevel

    public boolean supportsTransactionIsolationLevel(int level)
                                              throws SQLException

  This method tests whether or not the database supports the specified transaction isolation level.
  Overrides:
    supportsTransactionIsolationLevel in class DatabaseMetaData
  Parameters:
    `level` - The transaction isolation level.
  Returns:
    `true` if the specified transaction isolation level is supported, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

### supportsTransactions

    public boolean supportsTransactions()
                                 throws SQLException

  This method tests whether or not the database supports transactions.
  Overrides:
    supportsTransactions in class DatabaseMetaData
  Returns:
    `true` if the database supports transactions, `false` otherwise.
  Throws:
    SQLException - If an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD